记忆片段
列出记忆
分页查看用户的所有记忆片段
cURL
Copy
curl --request GET \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes?user_id=%3Cstring%3E' \
--header 'Authorization: Bearer <YOUR_API_KEY>'Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
分页查看用户的所有记忆片段
curl --request GET \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes?user_id=%3Cstring%3E' \
--header 'Authorization: Bearer <YOUR_API_KEY>'user_id 筛选。
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
user_id | string | 是 | 记忆实体 ID |
page_size | number | 否 | 每页数量 |
page_num | number | 否 | 页码,从 1 开始 |
curl -X GET "https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes?user_id=user_001&page_size=10&page_num=1" \
--header "Authorization: Bearer $DASHSCOPE_API_KEY" \
--header "Content-Type: application/json"
# response
{
"memory_nodes": [
{"content": "用户每天上午9点需要喝水提醒", "memory_node_id": "50b46e97..."},
{"content": "用户明天10点需要整理会议纪要", "memory_node_id": "381cc694..."}
],
"request_id": "e5f6g7h8-..."
}
curl --request GET \
--url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/memory_nodes?user_id=%3Cstring%3E' \
--header 'Authorization: Bearer <YOUR_API_KEY>'